Method: projects.locations.updateSecuritySettings

Updates the security settings for the project and location.

HTTP request

PATCH https://ces.googleapis.com/v1beta/{securitySettings.name=projects/*/locations/*/securitySettings}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
securitySettings.name

string

Identifier. The unique identifier of the security settings. Format: projects/{project}/locations/{location}/securitySettings

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. Field mask is used to control which fields get updated. If the mask is not present, all fields will be updated.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of SecuritySettings.

Response body

If successful, the response body contains an instance of SecuritySettings.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • ces.securitySettings.update

For more information, see the IAM documentation.